package net.csn.dr2d.wscp;

import java.util.ArrayList;

import javax.json.Json;
import javax.json.JsonArray;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;

import net.csn.dr2d.Position;

public class CnslPlayerArgs_InitLocateArtefacts {
	
	public final ArrayList<Position> artefacts;
	
	/**
	 * 
	 * @param argsIn	{"artefacts":[{"locX":7,"locY":1},{"locX":4,"locY":8},{"locX":3,"locY":2}]}
	 * @param argsRef	null
	 */
	public CnslPlayerArgs_InitLocateArtefacts(final JsonObject argsIn, final JsonObject argsRef){
		artefacts = new ArrayList<Position>();
		final JsonArray jaArtefacts = argsIn.getJsonArray("artefacts");
		for(int idx = 0; idx < jaArtefacts.size(); ++idx){ 
			JsonObject joArtefact = jaArtefacts.getJsonObject(idx);
			artefacts.add(new Position(
					joArtefact.getInt("locX", 0),
					joArtefact.getInt("locY", 0)
					)); 
		}
	}
	
	public JsonObject toJsonObject(){
		JsonObjectBuilder job = Json.createObjectBuilder();
		return job.build();
	}
}
