package net.csn.dr2d.wscp;

import javax.json.Json;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;

public class CnslPlayerArgs_RoundBoardAction {
	public final String actionName;
	public final String actionArgs;
	
	/**
	 * 
	 * @param argsIn	{"action":{"name":"BoardSwap","args":"0=\u003e1"}}
	 * @param argsRef	null
	 */
	public CnslPlayerArgs_RoundBoardAction(final JsonObject argsIn, final JsonObject argsRef){
		// ex: BoardSwap "1=>0", du plateau boardIndex °1 vers le plateau boardIndex °0
		final JsonObject action = argsIn.getJsonObject("action");
		actionName = action.getString("name", null);
		actionArgs = action.getString("args", null);
	}
	
	public JsonObject toJsonObject(){
		JsonObjectBuilder job = Json.createObjectBuilder();
		return job.build();
	}
}
