package net.csn.dr2d;

import javax.json.Json;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;

public class StgyCall extends StgyBulk {

	StgyCall(final JsonObject jsonData) {
		super(jsonData);
	}

	public static StgyCall parseFrom(final String jsonStgyCall){
		return (StgyCall)StgyBulk.parseFromJSon(jsonStgyCall);
	}

	@Override
	public JsonObject toJSonObject(){
		JsonObjectBuilder body = Json.createObjectBuilder()
			.add(STGYKEY_SEQ, _SeqType.getValue())
			.add(STGYKEY_TOKEN, String.valueOf(_Token));
		if(_ArgsIn!=null) body.add(STGYKEY_ARGSIN, _ArgsIn);
		if(_ArgsRef!=null) body.add(STGYKEY_ARGSREF, _ArgsRef);

		JsonObject json = Json.createObjectBuilder()
			.add( STGY_CALL, body)
			.build();
		return json;
	}

}
