package net.csn.dr2d;

public enum Windrose {
	East(0), 
	NorthEast(1), 
	North(2), 
	NorthWest(3), 
	West(4), 
	SouthWest(5), 
	South(6), 
	SouthEast(7), 
	None(8);
	
	int _type;
	Windrose(final int type){
		_type = type;
	}
	public int getValue(){return _type;}
	public static Windrose fromValue(final int val){
		for(Windrose v : values()){
			if(v.getValue()==val) return v;
		}
		return None;
	}
	public static Windrose fromName(final String val){
		for(Windrose v : values()){
			if(v.name().compareToIgnoreCase(val)==0) return v;
		}
		return None;
	}
}
