package net.csn.dr2d.wscp.annotations;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * Cette annotation doit être utilisée pour déclarer que cette classe Java 
 * est un BVOJ ( bon vieil objet java ... :) ) dédié à l'implémentation du dialogue DR2D.
 *
 * @author llorenç.corbey
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE) //on class level
public @interface WebSocketConsolePlayer {
	String wsUriService() default "ws://127.0.0.1:8181/dr2d";
}


